Bug 1631808 - Ensure ovirt-engine-metrics in RHV 4.2 doesn't have compatibility issues if fluentd doesn't exist on host
Summary: Ensure ovirt-engine-metrics in RHV 4.2 doesn't have compatibility issues if f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-metrics
Version: 4.2.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.2.8-2
: ---
Assignee: Shirly Radco
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks: 1668726
TreeView+ depends on / blocked
 
Reported: 2018-09-21 15:32 UTC by Sandro Bonazzola
Modified: 2019-02-18 15:24 UTC (History)
8 users (show)

Fixed In Version: ovirt-engine-metrics 1.1.8.1
Doc Type: Bug Fix
Doc Text:
Previously, the 4.2 Manager could not deploy RHVH 4.3 hosts because RHVH 4.3 no longer included the `fluentd` packages. In the current release, the 4.2 Manager can deploy RHVH 4.3 hosts even if `fluentd` is missing.
Clone Of:
Environment:
Last Closed: 2019-02-18 15:24:55 UTC
oVirt Team: Metrics
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1627753 None CLOSED On hosts replace fluentd dependencies with rsyslog 2019-08-16 20:23:23 UTC
Red Hat Product Errata RHBA-2019:0358 None None None 2019-02-18 15:24:56 UTC
oVirt gerrit 97252 ovirt-engine-metrics-4.2 MERGED Add validation for fluentd availability 2019-01-23 13:02:38 UTC

Internal Links: 1627753

Description Sandro Bonazzola 2018-09-21 15:32:21 UTC
In 4.3 we are dropping fluentd in favor of pcp and rsyslog (bug #1627753).
Removing fluentd in 4.3 hosts means that 4.2 engine need to be able to add a 4.3 host to a 4.2 cluster in 4.2 compatibility mode without failing even if fluentd is missing. If this can't be achieved we'll need to ship both fluentd and pcp + rsyslog on RHV-H 4.3 so adding pcp and rsyslog side by side with existing fluentd.

Tentatively targeting to 4.2.7 at least for initial investigations.

Comment 1 Lucie Leistnerova 2019-01-16 09:32:51 UTC
Adding 4.3 host without fluentd to 4.2 engine (with metrics setup) failed on ansible role

2019-01-16 10:25:16,373+01 ERROR [org.ovirt.engine.core.bll.hostdeploy.InstallVdsInternalCommand] (EE-ManagedThreadFactory-engine-Thread-124381) [4e10f9f6] Host installation failed for host '54dd97c5-41cc-47ca-8268-824ea57d2ba4', 'vhost09': Failed to execute Ansible host-deploy role. Please check logs for more details: /var/log/ovirt-engine/host-deploy/ovirt-host-deploy-ansible-20190116102342-10.37.140.251-4e10f9f6.log

in ansible log:
2019-01-16 10:25:09,513 p=24221 u=ovirt |  TASK [oVirt.ovirt-fluentd/ovirt-fluentd-package : Install fluentd package] *****
2019-01-16 10:25:16,149 p=24221 u=ovirt |  fatal: [10.37.140.251]: FAILED! => {
    "changed": false,
    "rc": 126,
    "results": [
        "No package matching 'fluentd' found available, installed or updated"
    ]
}


Tested in ovirt-engine-4.2.8.2-0.1.el7ev.noarch
with ovirt-engine-metrics-1.1.8-1.el7ev.noarch,
ansible-2.7.5-1.el7ae.noarch

Comment 2 Sandro Bonazzola 2019-01-16 11:07:16 UTC
(In reply to Lucie Leistnerova from comment #1)
> Adding 4.3 host without fluentd to 4.2 engine (with metrics setup) failed on
> ansible role

Was the cluster set to 4.2 compatibility?

Comment 3 Sandro Bonazzola 2019-01-16 11:08:36 UTC
What if engine is 4.3, compatibility set to 4.2, adding a 4.3 RHV-H?

Comment 4 Lucie Leistnerova 2019-01-16 11:59:51 UTC
Yes, the compatibility on cluster was 4.2.
I'll test the scenario for upgrade to 4.3 and when there will be a problem I'll create new BZ.

Comment 5 Ivana Saranova 2019-01-22 13:09:27 UTC
I tested the compatibility of the scenario for upgrade to 4.3 and everything is working.

Steps:
1) Have a working metrics store and 4.2 engine with 4.2 hosts
2) Upgrade engine to 4.3 and test if metrics are still working
3) Upgrade hosts to 4.3 and test if metrics are still working

Result:
Metrics store is still working and collecting data.

Upgrade to 4.3 tested with: ovirt-engine-4.3.0-0.8.rc2.el7.noarch, ovirt-engine-metrics-1.2.0.1-1.el7ev.noarch, ansible-2.7.5-1.el7ae.noarch

Comment 6 Lucie Leistnerova 2019-02-07 13:44:00 UTC
Host 4.3 still can't be added with the same error.
I don't see new version of ovirt-engine-metrics in our testing build, only ovirt-engine-metrics-1.1.8-1.el7ev.noarch from rhel-7-server-rhv-manager repo.

Comment 7 Shirly Radco 2019-02-11 10:41:46 UTC
The build does not include ovirt-engine-metrics 1.1.8.1?

Comment 13 Lucie Leistnerova 2019-02-15 09:42:02 UTC
Now is 1.1.8.1 available and 4.3 host was added successfully.

verified in ovirt-engine-metrics-1.1.8.1-1.el7ev.noarch
with ovirt-engine-4.2.8.3-0.1.el7ev.noarch

Comment 16 errata-xmlrpc 2019-02-18 15:24:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0358


Note You need to log in before you can comment on or make changes to this bug.